Package com.smartgwt.client.widgets.calendar

# Class HeaderLevelTitleCustomizer

java.lang.Object
com.smartgwt.client.widgets.calendar.HeaderLevelTitleCustomizer

public abstract class HeaderLevelTitleCustomizer extends Object
Called to determine the Title text for a given span in a HeaderLevel in Timeline views

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderLevelTitleCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Calendar`
  `getCalendar()`
  Returns the Calendar over which the hover occurred
  `abstract String`
  `getTitle(HeaderLevel headerLevel, Date startDate, Date endDate, String defaultValue, Calendar calendar)`
  getTitle() should be implemented and return the string of HTML to display in the header for a given span in the HeaderLevel
  `void`
  `setCalendar(Calendar calendar)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeaderLevelTitleCustomizer

    public HeaderLevelTitleCustomizer()

- ## Method Details

  - ### setCalendar

    public void setCalendar(Calendar calendar)

  - ### getCalendar

    public Calendar getCalendar()
    Returns the Calendar over which the hover occurred
    Returns:
      Calendar over which the hover occurred

  - ### getTitle

    public abstract String getTitle(HeaderLevel headerLevel, Date startDate, Date endDate, String defaultValue, Calendar calendar)
    getTitle() should be implemented and return the string of HTML to display in the header for a given span in the HeaderLevel
    Parameters:
      `headerLevel` - HeaderLevel a reference to this headerLevel
      `startDate` - Date the start of the date-range covered by this span in this level
      `endDate` - Date the end of the date-range covered by this span in this level - may be null
      `defaultValue` - String the default title as generated by the Timeline
      `calendar` - Calendar a reference to the Calendar or Timeline
    Returns:
      String The formatted title for the values passed in